ResultRow (gCube Species Discovery 3.3.0-SNAPSHOT API)
Date: 2013-07-19

org.gcube.portlets.user.speciesdiscovery.shared

## Class ResultRow

- java.lang.Object
- - org.gcube.portlets.user.speciesdiscovery.shared.ResultRow

- All Implemented Interfaces:
    Serializable, FetchingElement, SelectableElement, TaxonomyProvider

      @Entity
      public class ResultRow
      extends Object
      implements FetchingElement, SelectableElement, Serializable, TaxonomyProvider

  Author:
    Francesco Mangiacrapa francesco.mangiacrapa@isti.cnr.it
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `author`
    `static String` | `AUTHOR`
    `static String` | `BASE_TAXON_VALUE`
    `protected String` | `baseTaxonValue`
    `static String` | `CLASS_ID`
    `protected String` | `classID`
    `protected List<CommonName>` | `commonNames`
    `protected String` | `credits`
    `static String` | `CREDITS`
    `static String` | `DATAPROVIDER_ID`
    `static String` | `DATAPROVIDER_NAME`
    `protected String` | `dataProviderId`
    `protected String` | `dataProviderName`
    `static String` | `DATASET_CITATION`
    `static String` | `DATASET_ID`
    `static String` | `DATASET_NAME`
    `protected String` | `dataSetCitation`
    `protected String` | `dataSetId`
    `protected String` | `dataSetName`
    `static String` | `DATASOURCE_ID`
    `static String` | `DATASOURCE_NAME`
    `protected String` | `dataSourceId`
    `protected String` | `dataSourceName`
    `static String` | `EXISTS_COMMONNAME`
    `static String` | `EXISTS_PROPERTIES`
    `protected boolean` | `existsCommonName`
    `protected boolean` | `existsProperties`
    `static String` | `FAMILY_ID`
    `protected String` | `familyID`
    `static String` | `GENUS_ID`
    `protected String` | `genusID`
    `protected int` | `id`
    `static String` | `ID_FIELD`
    `static String` | `IMAGE_COUNT`
    `static String` | `IMAGE_KEY`
    `protected int` | `imagesCount`
    `protected String` | `imagesKey`
    `static String` | `KINGDOM_ID`
    `protected String` | `kingdomID`
    `static String` | `LAYERS_COUNT`
    `static String` | `LAYERS_KEY`
    `protected int` | `layersCount`
    `protected String` | `layersKey`
    `protected String` | `lsid`
    `static String` | `LSID`
    `static String` | `MAP_COUNT`
    `static String` | `MAP_KEY`
    `protected int` | `mapsCount`
    `protected String` | `mapsKey`
    `static String` | `MATCHING_CREDITS`
    `protected String` | `matchingCredits`
    `protected List<Taxon>` | `matchingTaxon`
    `protected int` | `occurencesCount`
    `protected String` | `occurencesKey`
    `static String` | `OCCURRENCES_COUNT`
    `static String` | `OCCURRENCES_KEY`
    `static String` | `ORDER_ID`
    `protected String` | `orderID`
    `static String` | `PARENT_FOREIGN_KEY_TAXON`
    `static String` | `PHYLUM_ID`
    `protected String` | `phylumID`
    `protected List<ItemParameter>` | `properties`
    `static String` | `PROPERTIES`
    `protected boolean` | `selected`
    `static String` | `SELECTED`
    `static String` | `SERVICE_ID_FIELD`
    `protected String` | `serviceIdField`
    `static String` | `SPECIES_ID`
    `protected String` | `speciesID`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ResultRow()`
    `` | `ResultRow(int id)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `existsCommonName()`
    `boolean` | `existsProperties()`
    `String` | `getAuthor()`
    `String` | `getBaseTaxonValue()`
    `String` | `getClassID()`
    `List<CommonName>` | `getCommonNames()`
    `String` | `getCredits()`
    `String` | `getDataProviderId()`
    `String` | `getDataProviderName()`
    `String` | `getDataSetCitation()`
    `String` | `getDataSetId()`
    `String` | `getDataSetName()`
    `String` | `getDataSourceId()`
    `String` | `getDataSourceName()`
    `String` | `getFamilyID()`
    `String` | `getGenusID()`
    `int` | `getId()`
    `String` | `getIdToString()`
    `int` | `getImagesCount()`
    `String` | `getImagesKey()`
    `String` | `getKingdomID()`
    `int` | `getLayersCount()`
    `String` | `getLayersKey()`
    `String` | `getLsid()`
    `int` | `getMapsCount()`
    `String` | `getMapsKey()`
    `String` | `getMatchingCredits()`
    `int` | `getOccurencesCount()`
    `String` | `getOccurencesKey()`
    `String` | `getOrderID()`
    `List<Taxon>` | `getParents()`
    `String` | `getPhylumID()`
    `List<ItemParameter>` | `getProperties()`
    `String` | `getServiceId()`
    `String` | `getServiceIdField()`
    `String` | `getSpeciesID()`
    `boolean` | `isExistsCommonName()`
    `boolean` | `isExistsProperties()`
    `boolean` | `isSelected()`
    `void` | `setAuthor(String author)`
    `void` | `setBaseTaxonValue(String taxonomyValue)`
    `void` | `setClassID(String classID)`
    `void` | `setCommonNames(List<CommonName> commonNames)`
    `void` | `setCredits(String credits)`
    `void` | `setDataProviderId(String dataProviderId)`
    `void` | `setDataProviderName(String dataProviderName)`
    `void` | `setDataSetCitation(String dataSetCitation)`
    `void` | `setDataSetId(String dataSetId)`
    `void` | `setDataSetName(String dataSetName)`
    `void` | `setDataSourceId(String dataSourceId)`
    `void` | `setDataSourceName(String dataSourceName)`
    `void` | `setExistsCommonName(boolean existsCommonName)`
    `void` | `setExistsProperties(boolean b)`
    `void` | `setFamilyID(String familyID)`
    `void` | `setGenusID(String genusID)`
    `void` | `setImagesCount(int imagesCount)`
    `void` | `setImagesKey(String imagesKey)`
    `void` | `setKingdomID(String kingdomID)`
    `void` | `setLayersCount(int layersCount)`
    `void` | `setLayersKey(String layersKey)`
    `void` | `setLsid(String lsid)`
    `void` | `setMapsCount(int mapsCount)`
    `void` | `setMapsKey(String mapsKey)`
    `void` | `setMatchingCredits(String matchingCredits)`
    `void` | `setMatchingTaxon(List<Taxon> matchingTaxon)`
    `void` | `setOccurencesCount(int occurencesCount)`
    `void` | `setOccurencesKey(String occurencesKey)`
    `void` | `setOrderID(String orderID)`
    `void` | `setPhylumID(String phylumID)`
    `void` | `setProperties(List<ItemParameter> properties)`
    `void` | `setSelected(boolean selected)`
    `void` | `setServiceId(String serviceIdField)`
    `void` | `setSpeciesID(String speciesID)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ID_FIELD

          public static final String ID_FIELD

      See Also:
        Constant Field Values

    - #### SERVICE_ID_FIELD

          public static final String SERVICE_ID_FIELD

      See Also:
        Constant Field Values

    - #### PARENT_FOREIGN_KEY_TAXON

          public static final String PARENT_FOREIGN_KEY_TAXON

      See Also:
        Constant Field Values

    - #### DATAPROVIDER_NAME

          public static final String DATAPROVIDER_NAME

      See Also:
        Constant Field Values

    - #### DATASOURCE_NAME

          public static final String DATASOURCE_NAME

      See Also:
        Constant Field Values

    - #### SELECTED

          public static final String SELECTED

      See Also:
        Constant Field Values

    - #### DATASET_NAME

          public static final String DATASET_NAME

      See Also:
        Constant Field Values

    - #### DATASET_ID

          public static final String DATASET_ID

      See Also:
        Constant Field Values

    - #### DATASET_CITATION

          public static final String DATASET_CITATION

      See Also:
        Constant Field Values

    - #### MATCHING_CREDITS

          public static final String MATCHING_CREDITS

      See Also:
        Constant Field Values

    - #### EXISTS_COMMONNAME

          public static final String EXISTS_COMMONNAME

      See Also:
        Constant Field Values

    - #### IMAGE_COUNT

          public static final String IMAGE_COUNT

      See Also:
        Constant Field Values

    - #### IMAGE_KEY

          public static final String IMAGE_KEY

      See Also:
        Constant Field Values

    - #### LAYERS_COUNT

          public static final String LAYERS_COUNT

      See Also:
        Constant Field Values

    - #### LAYERS_KEY

          public static final String LAYERS_KEY

      See Also:
        Constant Field Values

    - #### OCCURRENCES_COUNT

          public static final String OCCURRENCES_COUNT

      See Also:
        Constant Field Values

    - #### OCCURRENCES_KEY

          public static final String OCCURRENCES_KEY

      See Also:
        Constant Field Values

    - #### MAP_COUNT

          public static final String MAP_COUNT

      See Also:
        Constant Field Values

    - #### MAP_KEY

          public static final String MAP_KEY

      See Also:
        Constant Field Values

    - #### BASE_TAXON_VALUE

          public static final String BASE_TAXON_VALUE

      See Also:
        Constant Field Values

    - #### DATAPROVIDER_ID

          public static final String DATAPROVIDER_ID

      See Also:
        Constant Field Values

    - #### DATASOURCE_ID

          public static final String DATASOURCE_ID

      See Also:
        Constant Field Values

    - #### KINGDOM_ID

          public static final String KINGDOM_ID

      See Also:
        Constant Field Values

    - #### PHYLUM_ID

          public static final String PHYLUM_ID

      See Also:
        Constant Field Values

    - #### CLASS_ID

          public static final String CLASS_ID

      See Also:
        Constant Field Values

    - #### ORDER_ID

          public static final String ORDER_ID

      See Also:
        Constant Field Values

    - #### FAMILY_ID

          public static final String FAMILY_ID

      See Also:
        Constant Field Values

    - #### GENUS_ID

          public static final String GENUS_ID

      See Also:
        Constant Field Values

    - #### SPECIES_ID

          public static final String SPECIES_ID

      See Also:
        Constant Field Values

    - #### AUTHOR

          public static final String AUTHOR

      See Also:
        Constant Field Values

    - #### CREDITS

          public static final String CREDITS

      See Also:
        Constant Field Values

    - #### LSID

          public static final String LSID

      See Also:
        Constant Field Values

    - #### PROPERTIES

          public static final String PROPERTIES

      See Also:
        Constant Field Values

    - #### EXISTS_PROPERTIES

          public static final String EXISTS_PROPERTIES

      See Also:
        Constant Field Values

    - #### id

          protected int id

    - #### selected

          protected boolean selected

    - #### dataSourceId

          protected String dataSourceId

    - #### dataSourceName

          protected String dataSourceName

    - #### dataProviderId

          protected String dataProviderId

    - #### dataProviderName

          protected String dataProviderName

    - #### serviceIdField

          protected String serviceIdField

    - #### dataSetId

          protected String dataSetId

    - #### dataSetName

          protected String dataSetName

    - #### dataSetCitation

          protected String dataSetCitation

    - #### matchingCredits

          protected String matchingCredits

    - #### existsCommonName

          protected boolean existsCommonName

    - #### commonNames

          protected List<CommonName> commonNames

    - #### matchingTaxon

          protected List<Taxon> matchingTaxon

    - #### properties

          protected List<ItemParameter> properties

    - #### imagesCount

          protected int imagesCount

    - #### imagesKey

          protected String imagesKey

    - #### layersCount

          protected int layersCount

    - #### layersKey

          protected String layersKey

    - #### occurencesCount

          protected int occurencesCount

    - #### occurencesKey

          protected String occurencesKey

    - #### mapsCount

          protected int mapsCount

    - #### mapsKey

          protected String mapsKey

    - #### baseTaxonValue

          protected String baseTaxonValue

    - #### kingdomID

          protected String kingdomID

    - #### phylumID

          protected String phylumID

    - #### classID

          protected String classID

    - #### orderID

          protected String orderID

    - #### familyID

          protected String familyID

    - #### genusID

          protected String genusID

    - #### speciesID

          protected String speciesID

    - #### author

          protected String author

    - #### credits

          protected String credits

    - #### lsid

          protected String lsid

    - #### existsProperties

          protected boolean existsProperties

  - ### Constructor Detail

    - #### ResultRow

          protected ResultRow()

    - #### ResultRow

          public ResultRow(int id)

      Parameters:
        `id` -

  - ### Method Detail

    - #### getId

          public int getId()

      Specified by:
        `getId` in interface `FetchingElement`
      Returns:
        the id

    - #### getIdToString

          public String getIdToString()

      Returns:
        the id

    - #### isSelected

          public boolean isSelected()

      Specified by:
        `isSelected` in interface `SelectableElement`
      Returns:
        the selected

    - #### setSelected

          public void setSelected(boolean selected)

      Specified by:
        `setSelected` in interface `SelectableElement`
      Parameters:
        `selected` - the selected to set

    - #### getDataSourceId

          public String getDataSourceId()

      Returns:
        the dataSourceId

    - #### setDataSourceId

          public void setDataSourceId(String dataSourceId)

      Parameters:
        `dataSourceId` - the dataSourceId to set

    - #### getDataSourceName

          public String getDataSourceName()

      Returns:
        the dataSourceName

    - #### setDataSourceName

          public void setDataSourceName(String dataSourceName)

      Parameters:
        `dataSourceName` - the dataSourceName to set

    - #### getDataProviderId

          public String getDataProviderId()

      Returns:
        the dataProviderId

    - #### setDataProviderId

          public void setDataProviderId(String dataProviderId)

      Parameters:
        `dataProviderId` - the dataProviderId to set

    - #### getDataProviderName

          public String getDataProviderName()

      Returns:
        the dataProviderName

    - #### setDataProviderName

          public void setDataProviderName(String dataProviderName)

      Parameters:
        `dataProviderName` - the dataProviderName to set

    - #### getDataSetId

          public String getDataSetId()

      Returns:
        the dataSetId

    - #### setDataSetId

          public void setDataSetId(String dataSetId)

      Parameters:
        `dataSetId` - the dataSetId to set

    - #### getDataSetName

          public String getDataSetName()

      Returns:
        the dataSetName

    - #### setDataSetName

          public void setDataSetName(String dataSetName)

      Parameters:
        `dataSetName` - the dataSetName to set

    - #### getDataSetCitation

          public String getDataSetCitation()

      Returns:
        the dataSetCitation

    - #### setDataSetCitation

          public void setDataSetCitation(String dataSetCitation)

      Parameters:
        `dataSetCitation` - the dataSetCitation to set

    - #### getImagesCount

          public int getImagesCount()

      Returns:
        the imagesCount

    - #### setImagesCount

          public void setImagesCount(int imagesCount)

      Parameters:
        `imagesCount` - the imagesCount to set

    - #### getLayersCount

          public int getLayersCount()

      Returns:
        the layersCount

    - #### setLayersCount

          public void setLayersCount(int layersCount)

      Parameters:
        `layersCount` - the layersCount to set

    - #### getOccurencesCount

          public int getOccurencesCount()

      Returns:
        the occurencesCount

    - #### setOccurencesCount

          public void setOccurencesCount(int occurencesCount)

      Parameters:
        `occurencesCount` - the occurencesCount to set

    - #### getMapsCount

          public int getMapsCount()

      Returns:
        the mapsCount

    - #### setMapsCount

          public void setMapsCount(int mapsCount)

      Parameters:
        `mapsCount` - the mapsCount to set

    - #### getImagesKey

          public String getImagesKey()

      Returns:
        the imagesKey

    - #### setImagesKey

          public void setImagesKey(String imagesKey)

      Parameters:
        `imagesKey` - the imagesKey to set

    - #### getLayersKey

          public String getLayersKey()

      Returns:
        the layersKey

    - #### setLayersKey

          public void setLayersKey(String layersKey)

      Parameters:
        `layersKey` - the layersKey to set

    - #### getOccurencesKey

          public String getOccurencesKey()

      Returns:
        the occurencesKey

    - #### setOccurencesKey

          public void setOccurencesKey(String occurencesKey)

      Parameters:
        `occurencesKey` - the occurencesKey to set

    - #### getMapsKey

          public String getMapsKey()

      Returns:
        the mapsKey

    - #### setMapsKey

          public void setMapsKey(String mapsKey)

      Parameters:
        `mapsKey` - the mapsKey to set

    - #### getMatchingCredits

          public String getMatchingCredits()

      Returns:
        the matchingCredits

    - #### setMatchingCredits

          public void setMatchingCredits(String matchingCredits)

      Parameters:
        `matchingCredits` - the matchingCredits to set

    - #### setBaseTaxonValue

          public void setBaseTaxonValue(String taxonomyValue)

    - #### getBaseTaxonValue

          public String getBaseTaxonValue()

      Specified by:
        `getBaseTaxonValue` in interface `TaxonomyProvider`

    - #### existsCommonName

          public boolean existsCommonName()

      Returns:
        true if there are common names

    - #### setExistsCommonName

          public void setExistsCommonName(boolean existsCommonName)

      Parameters:
        `the` - boolean to set

    - #### getCommonNames

          public List<CommonName> getCommonNames()

    - #### setCommonNames

          public void setCommonNames(List<CommonName> commonNames)

    - #### getKingdomID

          public String getKingdomID()

    - #### setKingdomID

          public void setKingdomID(String kingdomID)

      Specified by:
        `setKingdomID` in interface `TaxonomyProvider`

    - #### getPhylumID

          public String getPhylumID()

    - #### setPhylumID

          public void setPhylumID(String phylumID)

      Specified by:
        `setPhylumID` in interface `TaxonomyProvider`

    - #### getClassID

          public String getClassID()

    - #### setClassID

          public void setClassID(String classID)

      Specified by:
        `setClassID` in interface `TaxonomyProvider`

    - #### getOrderID

          public String getOrderID()

    - #### setOrderID

          public void setOrderID(String orderID)

      Specified by:
        `setOrderID` in interface `TaxonomyProvider`

    - #### getFamilyID

          public String getFamilyID()

    - #### setFamilyID

          public void setFamilyID(String familyID)

      Specified by:
        `setFamilyID` in interface `TaxonomyProvider`

    - #### getGenusID

          public String getGenusID()

    - #### setGenusID

          public void setGenusID(String genusID)

      Specified by:
        `setGenusID` in interface `TaxonomyProvider`

    - #### getSpeciesID

          public String getSpeciesID()

    - #### setSpeciesID

          public void setSpeciesID(String speciesID)

      Specified by:
        `setSpeciesID` in interface `TaxonomyProvider`

    - #### getServiceId

          public String getServiceId()

    - #### setServiceId

          public void setServiceId(String serviceIdField)

    - #### getAuthor

          public String getAuthor()

    - #### setAuthor

          public void setAuthor(String author)

    - #### getCredits

          public String getCredits()

    - #### setCredits

          public void setCredits(String credits)

    - #### getLsid

          public String getLsid()

    - #### setLsid

          public void setLsid(String lsid)

    - #### setExistsProperties

          public void setExistsProperties(boolean b)

    - #### existsProperties

          public boolean existsProperties()

    - #### getParents

          public List<Taxon> getParents()

      Specified by:
        `getParents` in interface `TaxonomyProvider`

    - #### setMatchingTaxon

          public void setMatchingTaxon(List<Taxon> matchingTaxon)

    - #### getServiceIdField

          public String getServiceIdField()

    - #### isExistsCommonName

          public boolean isExistsCommonName()

    - #### getProperties

          public List<ItemParameter> getProperties()

    - #### isExistsProperties

          public boolean isExistsProperties()

    - #### setProperties

          public void setProperties(List<ItemParameter> properties)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2013. All Rights Reserved.